WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Responsive Video Shortcodes

This tiny plugin allows you to embed online video from YouTube, Vimeo and more media for a responsive layout - they scale according to the screen size

Responsive Video Shortcodes is a tiny plugin that allows you to embed video files from the popular video hosting platforms in a responsive design. It is based on the WordPress oEmbed feature, so it supports every online service that is natively supported by WordPress. All you need to do is use the shortcode and put a video URL in the content between the tags. Alternatively, you can use the included widget to display a (responsive) list of videos.

You can furthermore use the plugin to display even non-video media in a responsive manner, for example Flickr images, Soundcloud songs or Spotify playlists.

Shortcode Compatibility: Since version 1.2.0, a compatibility mode exists to make this plugin's [video] shortcode compatible with the WordPress Core [video] shortcode which has been introduced in 3.6. This plugin's shortcode creates a wrapper around embedded videos and other media to make them responsive. It has nothing to do with the homonymous WordPress Core shortcode (which handles HTML5 video). Please keep in mind that the WordPress [video] shortcode is self-closing while this plugin's [video] shortcode isn't. This is how the two shortcodes can be separated from each other.

Supported Aspect ratios

  • 4:3 (mainly for video)
  • 16:9 (mainly for video)
  • 21:9 (mainly for video)
  • 3:2 (for some images)
  • 3:1 (recommended to use with single audio tracks)
  • 5:6 (recommended to use with audio playlists)

Autoplay functionality

As of Version 1.1.6, Vimeo and Soundcloud are the only platforms supporting autoplays using oEmbed (the WordPress way to embed media). Therefore it is currently not possible to extend the plugin to add the autoplay functionality for another provider. However, if more platforms start supporting this, it will be implemented in future versions of the plugin aswell.

Requires: 3.2 or higher
Compatible up to: 3.9.1
Last Updated: 2014-5-9
Downloads: 4,444

Ratings

4 stars
4.3 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1